Download it now!
Bug 116596 - Make message area in Findbar adjust to message size
Summary: Make message area in Findbar adjust to message size
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2018-03-24 04:56 UTC by Jim Raykowski
Modified: 2018-04-08 01:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot 1 (18.22 KB, image/png)
2018-03-24 04:56 UTC, Jim Raykowski
Details
screenshot 2 (18.36 KB, image/png)
2018-03-24 04:57 UTC, Jim Raykowski
Details
screenshot 3 (18.44 KB, image/png)
2018-03-24 04:58 UTC, Jim Raykowski
Details
screenshot 4 (18.95 KB, image/png)
2018-03-24 04:59 UTC, Jim Raykowski
Details
screenshot 5 (13.09 KB, image/png)
2018-03-24 05:00 UTC, Jim Raykowski
Details
screenshot 6 (23.17 KB, image/png)
2018-03-24 05:01 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-03-24 04:56:38 UTC
Created attachment 140842 [details]
screenshot 1

Instead of the large usually empty space taken by the Findbar '[placeholder for message]' area this area can be adjusted to the length of the displayed message. 

screenshot 1: 
Findbar with no message followed by Form Navigation toolbar

screenshot 2:
Findbar with Find Text search message for wrapped search from the beginning of the document then continued from the end followed by the Form Navigation toolbar

screenshot 3:
opposite of screenshot 2

screenshot 4:
Findbar with Navigate By navigation wrapped message

screenshot 5:
Writer window not in full screen showing clipped Findbar and Form Navigation toolbar

screenshot 6:
Findbar Find Text search message shown in overflow toolbar


Note these screen shots show changes to what the current messages actually are and include a screen shot showing a Heading navigation with 'Navigation wrapped' message, another option would be 'Navigation has reached .., continued from ...' like those shown for the find text messages when the search wraps.
Comment 1 Jim Raykowski 2018-03-24 04:57:33 UTC
Created attachment 140843 [details]
screenshot 2
Comment 2 Jim Raykowski 2018-03-24 04:58:23 UTC
Created attachment 140844 [details]
screenshot 3
Comment 3 Jim Raykowski 2018-03-24 04:59:55 UTC
Created attachment 140845 [details]
screenshot 4
Comment 4 Jim Raykowski 2018-03-24 05:00:30 UTC
Created attachment 140846 [details]
screenshot 5
Comment 5 Jim Raykowski 2018-03-24 05:01:28 UTC
Created attachment 140847 [details]
screenshot 6
Comment 6 Buovjaga 2018-03-28 18:34:46 UTC
Sure -> NEW
Comment 7 Jim Raykowski 2018-03-28 22:27:42 UTC
A hack for this is here:

https://gerrit.libreoffice.org/#/c/52043/
Comment 8 Buovjaga 2018-03-29 11:08:04 UTC
(In reply to Jim Raykowski from comment #7)
> A hack for this is here:
> 
> https://gerrit.libreoffice.org/#/c/52043/

Can you rebase it?
Comment 9 Jim Raykowski 2018-03-29 19:27:03 UTC
(In reply to Buovjaga from comment #8)
> (In reply to Jim Raykowski from comment #7)
> > A hack for this is here:
> > 
> > https://gerrit.libreoffice.org/#/c/52043/
> 
> Can you rebase it?

My git skills need practice. The rebase was a challenge for me. Seems to have worked. No more Merge Conflict.
Comment 10 Buovjaga 2018-03-30 17:11:49 UTC
Ok, I confirm the patch works as promised.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 485eda9ab86ca8820aaca10df6985ae26388472e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 30th 2018
Comment 11 Jim Raykowski 2018-04-01 18:44:25 UTC
(In reply to Buovjaga from comment #10)
> Ok, I confirm the patch works as promised.
> 
> Arch Linux 64-bit
> Version: 6.1.0.0.alpha0+
> Build ID: 485eda9ab86ca8820aaca10df6985ae26388472e
> CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
> Locale: fi-FI (fi_FI.UTF-8); Calc: group
> Built on March 30th 2018

Thanks for testing. After receiving a code review comment a change to the patch has been made. If you have time to test it again that would be great :)
Comment 12 Commit Notification 2018-04-02 10:45:31 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6acda2a36c9025e0d3fe94d6ca8788ab60c3203e

tdf#116596 Dynamically size Findbar searchlabel

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Buovjaga 2018-04-02 15:15:59 UTC
Still working as advertised.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 6acda2a36c9025e0d3fe94d6ca8788ab60c3203e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 2nd 2018